Label (Operations)
Endpoints to create, update, and read shipping labels.
Create label
LabelForCreation
URL to download the label document
https://example.com/resourceReference to the operative process
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fReference to the package
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fReference to the fulfillment process
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fReference to the shipping information
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fShort human-readable identifier
Current status of the label
Tenant-specific label identifier
MY_LABEL_IDTenant-specific order identifier
MY_ORDER_IDType of label
The label was successfully created.
Label
Whether the label data has been anonymized
Creation timestamp
2026-06-17T12:00:00.000ZReference to the connected facility
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fUnique identifier of the label
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fURL to download the label document
https://example.com/resourceLast modification timestamp
2026-06-17T12:00:00.000ZReference to the operative process
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fReference to the package
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fReference to the fulfillment process
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fReference to the shipping information
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fShort human-readable identifier
Current status of the label
Tenant-specific label identifier
MY_LABEL_IDTenant-specific order identifier
MY_ORDER_IDType of label
Optimistic locking version
1Invalid input. See response for details.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/labels HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1635
{
"additionalDocuments": [
{
"nameLocalized": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"url": "https://example.com/resource"
}
],
"carrierData": {
"carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"product": "text",
"services": [
{
"type": "text"
}
]
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"labelUrl": "https://example.com/resource",
"operativeProcessRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"packageRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"recipientAddress": [
{
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr."
}
],
"senderAddress": {
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr.",
"companyName": "Speedy Boxales Ltd.",
"emailAddresses": [
{
"recipient": "'Mailinglist reaching all the employees', 'Marc Fulton, Manager', etc.",
"value": "text"
}
],
"resolvedCoordinates": {
"lat": 50.937531,
"lon": 6.960279
},
"resolvedTimeZone": {
"offsetInSeconds": 28800,
"source": "Google Maps API",
"timeZoneId": "America/Los_Angeles",
"timeZoneName": "Pacific Standard Time"
}
},
"shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"shortId": "text",
"status": "WAITING_FOR_INPUT",
"tenantLabelId": "MY_LABEL_ID",
"tenantOrderId": "MY_ORDER_ID",
"type": "SEND_LABEL"
}{
"additionalDocuments": [
{
"nameLocalized": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"url": "https://example.com/resource"
}
],
"anonymized": true,
"carrierData": {
"carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"product": "text",
"services": [
{
"type": "text"
}
]
},
"created": "2026-06-17T12:00:00.000Z",
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"labelUrl": "https://example.com/resource",
"lastModified": "2026-06-17T12:00:00.000Z",
"operativeProcessRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"packageRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"recipientAddress": [
{
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr."
}
],
"senderAddress": {
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr.",
"companyName": "Speedy Boxales Ltd.",
"emailAddresses": [
{
"recipient": "'Mailinglist reaching all the employees', 'Marc Fulton, Manager', etc.",
"value": "text"
}
],
"resolvedCoordinates": {
"lat": 50.937531,
"lon": 6.960279
},
"resolvedTimeZone": {
"offsetInSeconds": 28800,
"source": "Google Maps API",
"timeZoneId": "America/Los_Angeles",
"timeZoneName": "Pacific Standard Time"
}
},
"shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"shortId": "text",
"status": "WAITING_FOR_INPUT",
"tenantLabelId": "MY_LABEL_ID",
"tenantOrderId": "MY_ORDER_ID",
"type": "SEND_LABEL",
"version": 1
}This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Get label
Label was found. The result is in the body.
Label
Whether the label data has been anonymized
Creation timestamp
2026-06-17T12:00:00.000ZReference to the connected facility
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fUnique identifier of the label
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fURL to download the label document
https://example.com/resourceLast modification timestamp
2026-06-17T12:00:00.000ZReference to the operative process
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fReference to the package
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fReference to the fulfillment process
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fReference to the shipping information
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fShort human-readable identifier
Current status of the label
Tenant-specific label identifier
MY_LABEL_IDTenant-specific order identifier
MY_ORDER_IDType of label
Optimistic locking version
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
GET /api/labels/{id} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"additionalDocuments": [
{
"nameLocalized": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"url": "https://example.com/resource"
}
],
"anonymized": true,
"carrierData": {
"carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"product": "text",
"services": [
{
"type": "text"
}
]
},
"created": "2026-06-17T12:00:00.000Z",
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"labelUrl": "https://example.com/resource",
"lastModified": "2026-06-17T12:00:00.000Z",
"operativeProcessRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"packageRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"recipientAddress": [
{
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr."
}
],
"senderAddress": {
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr.",
"companyName": "Speedy Boxales Ltd.",
"emailAddresses": [
{
"recipient": "'Mailinglist reaching all the employees', 'Marc Fulton, Manager', etc.",
"value": "text"
}
],
"resolvedCoordinates": {
"lat": 50.937531,
"lon": 6.960279
},
"resolvedTimeZone": {
"offsetInSeconds": 28800,
"source": "Google Maps API",
"timeZoneId": "America/Los_Angeles",
"timeZoneName": "Pacific Standard Time"
}
},
"shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"shortId": "text",
"status": "WAITING_FOR_INPUT",
"tenantLabelId": "MY_LABEL_ID",
"tenantOrderId": "MY_ORDER_ID",
"type": "SEND_LABEL",
"version": 1
}This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Update label
LabelForUpdate
Whether the label data has been anonymized
URL to download the label document
https://example.com/resourceShort human-readable identifier
Current status of the label
Tenant-specific order identifier
MY_ORDER_IDType of label
Optimistic locking version
1Label was found and patch-set has been applied. The patched entity is in the body.
Label
Whether the label data has been anonymized
Creation timestamp
2026-06-17T12:00:00.000ZReference to the connected facility
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fUnique identifier of the label
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fURL to download the label document
https://example.com/resourceLast modification timestamp
2026-06-17T12:00:00.000ZReference to the operative process
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fReference to the package
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fReference to the fulfillment process
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fReference to the shipping information
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fShort human-readable identifier
Current status of the label
Tenant-specific label identifier
MY_LABEL_IDTenant-specific order identifier
MY_ORDER_IDType of label
Optimistic locking version
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
A version conflict occurred.
PATCH /api/labels/{id} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1230
{
"anonymized": true,
"carrierData": {
"carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"product": "text",
"services": [
{
"type": "text"
}
]
},
"labelUrl": "https://example.com/resource",
"recipientAddress": [
{
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr."
}
],
"senderAddress": {
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr.",
"companyName": "Speedy Boxales Ltd.",
"emailAddresses": [
{
"recipient": "'Mailinglist reaching all the employees', 'Marc Fulton, Manager', etc.",
"value": "text"
}
],
"resolvedCoordinates": {
"lat": 50.937531,
"lon": 6.960279
},
"resolvedTimeZone": {
"offsetInSeconds": 28800,
"source": "Google Maps API",
"timeZoneId": "America/Los_Angeles",
"timeZoneName": "Pacific Standard Time"
}
},
"shortId": "text",
"status": "WAITING_FOR_INPUT",
"tenantOrderId": "MY_ORDER_ID",
"type": "SEND_LABEL",
"version": 1
}{
"additionalDocuments": [
{
"nameLocalized": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"url": "https://example.com/resource"
}
],
"anonymized": true,
"carrierData": {
"carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"product": "text",
"services": [
{
"type": "text"
}
]
},
"created": "2026-06-17T12:00:00.000Z",
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"labelUrl": "https://example.com/resource",
"lastModified": "2026-06-17T12:00:00.000Z",
"operativeProcessRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"packageRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"recipientAddress": [
{
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr."
}
],
"senderAddress": {
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr.",
"companyName": "Speedy Boxales Ltd.",
"emailAddresses": [
{
"recipient": "'Mailinglist reaching all the employees', 'Marc Fulton, Manager', etc.",
"value": "text"
}
],
"resolvedCoordinates": {
"lat": 50.937531,
"lon": 6.960279
},
"resolvedTimeZone": {
"offsetInSeconds": 28800,
"source": "Google Maps API",
"timeZoneId": "America/Los_Angeles",
"timeZoneName": "Pacific Standard Time"
}
},
"shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"shortId": "text",
"status": "WAITING_FOR_INPUT",
"tenantLabelId": "MY_LABEL_ID",
"tenantOrderId": "MY_ORDER_ID",
"type": "SEND_LABEL",
"version": 1
}This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Performs provided labelAction
Label was found and provided action has been applied. The patched entity is in the body.
Label
Whether the label data has been anonymized
Creation timestamp
2026-06-17T12:00:00.000ZReference to the connected facility
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fUnique identifier of the label
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fURL to download the label document
https://example.com/resourceLast modification timestamp
2026-06-17T12:00:00.000ZReference to the operative process
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fReference to the package
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fReference to the fulfillment process
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fReference to the shipping information
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fShort human-readable identifier
Current status of the label
Tenant-specific label identifier
MY_LABEL_IDTenant-specific order identifier
MY_ORDER_IDType of label
Optimistic locking version
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
A version conflict occurred.
POST /api/labels/{id}/actions HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 27
{
"name": "text",
"version": 1
}{
"additionalDocuments": [
{
"nameLocalized": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"url": "https://example.com/resource"
}
],
"anonymized": true,
"carrierData": {
"carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"product": "text",
"services": [
{
"type": "text"
}
]
},
"created": "2026-06-17T12:00:00.000Z",
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"labelUrl": "https://example.com/resource",
"lastModified": "2026-06-17T12:00:00.000Z",
"operativeProcessRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"packageRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"recipientAddress": [
{
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr."
}
],
"senderAddress": {
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr.",
"companyName": "Speedy Boxales Ltd.",
"emailAddresses": [
{
"recipient": "'Mailinglist reaching all the employees', 'Marc Fulton, Manager', etc.",
"value": "text"
}
],
"resolvedCoordinates": {
"lat": 50.937531,
"lon": 6.960279
},
"resolvedTimeZone": {
"offsetInSeconds": 28800,
"source": "Google Maps API",
"timeZoneId": "America/Los_Angeles",
"timeZoneName": "Pacific Standard Time"
}
},
"shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"shortId": "text",
"status": "WAITING_FOR_INPUT",
"tenantLabelId": "MY_LABEL_ID",
"tenantOrderId": "MY_ORDER_ID",
"type": "SEND_LABEL",
"version": 1
}This part of the API is in Beta status. For details, see the API release lifecycle documentation. Search for Label
LabelSearchPayload
The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.
The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).
Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.
Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.
10The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.
Your search result
LabelPaginatedResult
The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/labels/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 3817
{
"after": "text",
"before": "text",
"last": 1,
"options": {
"withTotal": true
},
"query": {
"and": [
{
"and": [
{
"and": "[Circular Reference]",
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"or": "[Circular Reference]",
"processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"tenantLabelId": "MY_LABEL_ID",
"tenantOrderId": "MY_ORDER_ID"
}
],
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"or": [
{
"and": "[Circular Reference]",
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"or": "[Circular Reference]",
"processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"tenantLabelId": "MY_LABEL_ID",
"tenantOrderId": "MY_ORDER_ID"
}
],
"processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"tenantLabelId": "MY_LABEL_ID",
"tenantOrderId": "MY_ORDER_ID"
}
],
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"or": [
{
"and": "[Circular Reference]",
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"or": "[Circular Reference]",
"processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"tenantLabelId": "MY_LABEL_ID",
"tenantOrderId": "MY_ORDER_ID"
}
],
"processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"tenantLabelId": "MY_LABEL_ID",
"tenantOrderId": "MY_ORDER_ID"
},
"size": 10,
"sort": [
{
"created": "ASC",
"lastModified": "ASC"
}
]
}{
"labels": [
{
"additionalDocuments": [
{
"nameLocalized": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"url": "https://example.com/resource"
}
],
"anonymized": true,
"carrierData": {
"carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"product": "text",
"services": [
{
"type": "text"
}
]
},
"created": "2026-06-17T12:00:00.000Z",
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"labelUrl": "https://example.com/resource",
"lastModified": "2026-06-17T12:00:00.000Z",
"operativeProcessRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"packageRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"recipientAddress": [
{
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr."
}
],
"senderAddress": {
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr.",
"companyName": "Speedy Boxales Ltd.",
"emailAddresses": [
{
"recipient": "'Mailinglist reaching all the employees', 'Marc Fulton, Manager', etc.",
"value": "text"
}
],
"resolvedCoordinates": {
"lat": 50.937531,
"lon": 6.960279
},
"resolvedTimeZone": {
"offsetInSeconds": 28800,
"source": "Google Maps API",
"timeZoneId": "America/Los_Angeles",
"timeZoneName": "Pacific Standard Time"
}
},
"shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"shortId": "text",
"status": "WAITING_FOR_INPUT",
"tenantLabelId": "MY_LABEL_ID",
"tenantOrderId": "MY_ORDER_ID",
"type": "SEND_LABEL",
"version": 1
}
],
"pageInfo": {
"endCursor": "text",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "text"
},
"total": 1
}Last updated
Was this helpful?

